org.apache.ignite.ml.selection.paramgrid

## Class EvolutionOptimizationStrategy

- java.lang.Object
- - org.apache.ignite.ml.selection.paramgrid.HyperParameterTuningStrategy
  - - org.apache.ignite.ml.selection.paramgrid.EvolutionOptimizationStrategy

-     public class EvolutionOptimizationStrategy
      extends HyperParameterTuningStrategy

  Represents the Genetic algorithms usage for finding the best set of hyper-parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvolutionOptimizationStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAmountOfEliteChromosomes()`
    `int` | `getAmountOfGenerations()`
    `double` | `getCrossingoverProbability()`
    `CrossoverStrategy` | `getCrossoverStgy()`
    `double` | `getMutationProbability()`
    `String` | `getName()` Returns the name of strategy.
    `long` | `getSeed()`
    `SelectionStrategy` | `getSelectionStgy()`
    `EvolutionOptimizationStrategy` | `withCrossingoverProbability(double crossingoverProbability)`
    `EvolutionOptimizationStrategy` | `withCrossoverStgy(CrossoverStrategy crossoverStgy)`
    `EvolutionOptimizationStrategy` | `withMutationProbability(double mutationProbability)`
    `EvolutionOptimizationStrategy` | `withSeed(long seed)` Set up the seed number.
    `EvolutionOptimizationStrategy` | `withSelectionStgy(SelectionStrategy selectionStgy)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvolutionOptimizationStrategy

          public EvolutionOptimizationStrategy()

  - ### Method Detail

    - #### getSeed

          public long getSeed()

    - #### getAmountOfGenerations

          public int getAmountOfGenerations()

    - #### getAmountOfEliteChromosomes

          public int getAmountOfEliteChromosomes()

    - #### getCrossingoverProbability

          public double getCrossingoverProbability()

    - #### getMutationProbability

          public double getMutationProbability()

    - #### getCrossoverStgy

          public CrossoverStrategy getCrossoverStgy()

    - #### getSelectionStgy

          public SelectionStrategy getSelectionStgy()

    - #### withSeed

          public EvolutionOptimizationStrategy withSeed(long seed)

      Set up the seed number.
      Parameters:
        `seed` - Seed.

    - #### withCrossingoverProbability

          public EvolutionOptimizationStrategy withCrossingoverProbability(double crossingoverProbability)

      Parameters:
        `crossingoverProbability` - Crossingover probability.

    - #### withMutationProbability

          public EvolutionOptimizationStrategy withMutationProbability(double mutationProbability)

      Parameters:
        `mutationProbability` - Mutation probability.

    - #### withCrossoverStgy

          public EvolutionOptimizationStrategy withCrossoverStgy(CrossoverStrategy crossoverStgy)

      Parameters:
        `crossoverStgy` - Crossover strategy.

    - #### withSelectionStgy

          public EvolutionOptimizationStrategy withSelectionStgy(SelectionStrategy selectionStgy)

      Parameters:
        `selectionStgy` - Selection strategy.

    - #### getName

          public String getName()

      Returns the name of strategy.
      Specified by:
        `getName` in class `HyperParameterTuningStrategy`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020